Subject: bug#64112: greetd-wlgreet-session doesn't source .bash_profile

From: Josselin Poiret <[email-masked]>
Date: Sat, 17 Jun 2023 17:55:19 +0200

Hi,

"ytc" via Bug reports for GNU Guix <[email-masked]> writes:

> Hello everyone.
>
> I've noticed that when I started a Wayland session with a
> greetd-terminal whose default-session-command is
> greetd-wlgreet-sway-session or greetd-wlgreet-session, enviromental
> variables set in .bash_profile doesn't seem to be set.
>
> I don't know if this is a bug or feature but it doesn't seem right to
> me.  I would be glad if you handle it.

greetd sources ~/.profile and /etc/profile [1], even though it is not
documented.  You should probably use that instead of the bash-specific
.bash_profile which is *only* meant for bash login shells.

[1] https://git.sr.ht/~kennylevinsen/greetd/tree/3608fc9494e3b98c673292f9e2a7589cc6686d38/item/greetd/src/session/worker.rs#L202

Best,
-- 
Josselin Poiret